summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-04-05 10:57:44 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-04-05 18:54:38 -0500
commitb18acad2dfa8a9a9f424aeb3824e2c16899a069b (patch)
tree0b48a833337aea02d650e583d1a491b60d7986b3 /system
parente2ef6a476a0cc68e0f02d724bff776abdc993385 (diff)
downloadslackbuilds-b18acad2dfa8a9a9f424aeb3824e2c16899a069b.tar.gz
slackbuilds-b18acad2dfa8a9a9f424aeb3824e2c16899a069b.tar.xz
system/opensc-ceres: Updated for version 2.3.2.
I'm updating this in case the maintainer finds the update to be useful as a starting point for later, but even this version is not compatible with opensc-0.12.0 (based on shared library deps). Therefore, I'll be removing this build in the next commit. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/opensc-ceres/opensc-ceres.SlackBuild22
-rw-r--r--system/opensc-ceres/opensc-ceres.info6
2 files changed, 19 insertions, 9 deletions
diff --git a/system/opensc-ceres/opensc-ceres.SlackBuild b/system/opensc-ceres/opensc-ceres.SlackBuild
index 2e2fafb91d..e30b793747 100644
--- a/system/opensc-ceres/opensc-ceres.SlackBuild
+++ b/system/opensc-ceres/opensc-ceres.SlackBuild
@@ -5,11 +5,18 @@
# Based on scripts by the SlackBuilds.org project
PRGNAM=opensc-ceres
-VERSION=2.1.1
-ARCH=${ARCH:-i386}
+VERSION=2.3.2
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -17,16 +24,19 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "x86_64" ]; then
TARGET="x86_64"
-else
+elif [ "$ARCH" = "i386" ]; then
TARGET="x86"
+else
+ printf "$ARCH is not supported.\n"
+ exit 1
fi
if [ "$TARGET" = "x86" ]; then
SRCFILE=Debian_Lenny_32bits.zip
- SRCDEB=${PRGNAM}_$(echo $VERSION | tr "_" "-")_i386.deb
+ SRCDEB=${PRGNAM}_${VERSION}_i386.deb
elif [ "$TARGET" = "x86_64" ]; then
SRCFILE=Debian_Lenny_64bits.zip
- SRCDEB=${PRGNAM}_$(echo $VERSION | tr "_" "-")_amd64.deb
+ SRCDEB=${PRGNAM}_${VERSION}-1_amd64.deb
fi
set -e
@@ -35,7 +45,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
-unzip -j $CWD/$SRCFILE */$SRCDEB
+unzip -j $CWD/$SRCFILE $SRCDEB
ar x $SRCDEB data.tar.gz
tar xzf data.tar.gz
rm $SRCDEB data.tar.gz
diff --git a/system/opensc-ceres/opensc-ceres.info b/system/opensc-ceres/opensc-ceres.info
index 7ad3de29bb..73b1c8d6be 100644
--- a/system/opensc-ceres/opensc-ceres.info
+++ b/system/opensc-ceres/opensc-ceres.info
@@ -1,10 +1,10 @@
PRGNAM="opensc-ceres"
-VERSION="2.1.1"
+VERSION="2.3.2"
HOMEPAGE="http://www.cert.fnmt.es/"
DOWNLOAD="http://www.cert.fnmt.es/content/pages_std/software/Debian_Lenny_32bits.zip"
-MD5SUM="8eae3889f53eb6339ee442b65f6134cb"
+MD5SUM="15dd7c131b63ceb541b94e381f562f9c"
DOWNLOAD_x86_64="http://www.cert.fnmt.es/content/pages_std/software/Debian_Lenny_64bits.zip"
-MD5SUM_x86_64="a56239a8aae6d4e6cd9feb6b044470cd"
+MD5SUM_x86_64="c735178150e0a247cdb7e366e2819fd1"
MAINTAINER="Daniel R."
EMAIL="<danielrodriguez.es@gmail.com>"
APPROVED="rworkman"